Project

General

Profile

Bug #11227

Deprecation warning for available package groups for content view filter

Added by John Mitsch over 6 years ago. Updated over 3 years ago.

Status:
Closed
Priority:
Normal
Assignee:
-
Category:
-
Target version:
Difficulty:
Triaged:
Yes
Bugzilla link:
Fixed in Releases:
Found in Releases:

Description

"/content_views/:content_view_id/filters/:id/available_package_groups" and "/content_view_filters/:id/available_package_groups"

are both being changed to

"content_view_filters/1/package_groups?available_for=content_view_filters"

in version 2.4, so a deprecation warning has to be added to 2.3

Associated revisions

Revision 606cbd53 (diff)
Added by John Mitsch over 6 years ago

Fixes #11227 - Deprecation warning for available package groups for content view filter

Revision 06efa6a5
Added by Eric Helms over 6 years ago

Merge pull request #5380 from johnpmitsch/deprecate_package_groups

Fixes #11227 - Deprecation warning for available package groups for c…

History

#1 Updated by John Mitsch over 6 years ago

John Mitsch wrote:

"content_view_filters/1/package_groups?available_for=content_view_filters"

that should be "available_for=content_view_filter"

#2 Updated by The Foreman Bot over 6 years ago

  • Status changed from New to Ready For Testing
  • Pull request https://github.com/Katello/katello/pull/5380 added
  • Pull request deleted ()

#3 Updated by Eric Helms over 6 years ago

  • Legacy Backlogs Release (now unused) set to 31
  • Triaged changed from No to Yes

#4 Updated by John Mitsch over 6 years ago

  • Status changed from Ready For Testing to Closed
  • % Done changed from 0 to 100

Also available in: Atom PDF